@import "~bootstrap/scss/bootstrap.scss";
@import url('https://fonts.googleapis.com/css?family=Lato:300,400,700');


/*****************STARTS TOP BACKGROUND SECTION***************/


@keyframes animStar {
  from {
    transform: translateY(0px);
  }

  to {
    transform: translateY(-2000px);
  }
}

/*********************************************************************************/


.top-container {
    text-align: center;
    position: absolute;
    color: #FFF;
    top: 50%;
    left: 50%;
    font-size: 50px;
    color: white;
    transform: translate(-50%,-50%);
    -ms-transform: translate(-50%,-50%);
    font-size: 50px;
    font-weight: 300;
    margin: 0 auto;
    width: 80%;
    padding: 20px;
    letter-spacing: 10px
}
.work-button {
    margin-top: 1rem;
    padding: .2rem 2rem;
    background-color: #f8f9fa;
    color: black;
    border-radius: 2rem;
    border: 1px #122444 solid;
    outline: none;
    -moz-outline-style: none;
    font-size: 1.2rem;
    font-weight: 600;
}
.work-button:hover {
    background-color: #122444;
    color: white;
    cursor: pointer;
}
.work-button:focus {
    outline: 0;
}

.flex {
    display: flex;
    flex-direction: column;
    justify-content: center;
    align-items: center;
}

#footer {
    background-color: #061b3d;
    color: gray;
    z-index: 1000;
}

.btn-style {
    font-size: 1.25rem;
}

.home-style {
    font-size: 1.75rem;
}

@keyframes move {
  from { top: -80px;}
  to   { top: 0; }
}

.fade-in-nav {
    animation: move 1s alternate;
    position: fixed;
    top: 0;
    right: 0;
    left: 0;
    z-index: 10;
}
.fade-in-nav + .content-containers {
    padding-top: 60px;
}

.progress {
    height: 1.5rem;
    font-size: 1rem;
}

.testbg { 
    background-image: url("../img/Vmarine.jpg");
    height: 400px; 
    background-position: center;
    background-repeat: no-repeat;
    background-size: cover;
}

.aguabg { 
    background-image: url("../img/aguaDeLuz.png");
    height: 400px; 
    background-position: center;
    background-repeat: no-repeat;
    background-size: cover;
}
.todobg { 
    background-image: url("../img/todolist.png");
    height: 400px; 
    background-position: center;
    background-repeat: no-repeat;
    background-size: cover;
}

.mytext {
    font-size: 1.2rem;
}

.btn-style:hover {
    cursor: pointer;
}
.home-style:hover {
    cursor: pointer !important;
}




@keyframes slideBot {
    0% {opacity: 0; transform: translateY(300px);}
    100% {opacity: 1; transform: translateY(0)}
}
.hidden, .hiddenBot, .hiddenRight {
    //opacity: 0;
}
.slideBot {
    animation: slideBot 1s;
}
@keyframes slideLeft {
    0% {opacity: 0; transform: translateX(-300px);}
    100% {opacity: 1; transform: translateX(0)}
}
@keyframes slideRight {
    0% {opacity: 0; transform: translateX(300px);}
    100% {opacity: 1; transform: translateX(0)}
}

.slideRight {
    animation: slideRight 1s;
}

.slideLeft {
    animation: slideLeft 1s;
}

.project-container {
    padding-top: 6rem;
}


@keyframes fillBar {
    0% {width: 0;}
    100% {width: 80%;}
}
@keyframes fill60Bar {
    0% {width: 0;}
    100% {width: 60%;}
}
@keyframes fill90Bar {
    0% {width: 0;}
    100% {width: 90%;}
}

.fill-bar {
    width: 0;
}

.filed-80-bar {
    animation: fillBar 2s;
}
.fill-60-bar {
    width: 0;
}

.filed-60-bar {
    animation: fill60Bar 2s;
}
.fill-90-bar {
    width: 0;
}

.filed-90-bar {
    animation: fill90Bar 2s;
}


.overlay {
  position: absolute;
  top: 0;
  bottom: 0;
  left: 0;
  right: 0;
  height: 100%;
  width: 100%;
  opacity: 0;
  transition: .5s ease;
  background-color: #f8f9fa;
}

.text {
  color: black;
  font-size: 20px;
  position: absolute;
  top: 30%;
  left: 50%;
  -webkit-transform: translate(-50%, -30%);
  -ms-transform: translate(-50%, -30%);
  transform: translate(-50%, -30%);
  text-align: center;
}

.project-button {
    background-color: #f8f9fa;
    color: black;
    border: 1px #122444 solid;
    font-size: 20px;
    position: absolute;
    top: 70%;
    left: 50%;
    -webkit-transform: translate(-50%, -70%);
    -ms-transform: translate(-50%, -70%);
    transform: translate(-50%, -70%);
    text-align: center;
} 
.project-button:hover {
    background-color: #122444;
    color: white;
}

.aguabg:hover .overlay, .testbg:hover .overlay, .todobg:hover .overlay  {
    opacity: 1;
}



//overlay for gallery
#gallery-card {
    position: fixed;
    display: none;
    width: 100%;
    height: 100vh;
    top: 0;
    left: 0;
    right: 0;
    bottom: 0;
    background-color: rgba(0,0,0,0.7);
    z-index: 100;
}

.modal-card {
    display: none;
    position: absolute;
    width: 45%;
    top: 10%;
    left: 50%;
    height: 85%;
    background-color: #f8f9fa;
    z-index: 101;
    transform: translate(-50%,-10%);
    -ms-transform: translate(-50%,-10%);
}

.visual video,.visual img {
    width: 100%;
    height: auto;
    border-bottom: 2px solid black;
}

.modal-info {
    display: flex;
    flex-direction: column;
    width: 100%;
    padding: 1.5rem;
}

.modal-bottom {
    display: flex;
    flex-direction: row;
    justify-content: space-between;
}

@media only screen and (max-width: 900px) {
    .modal-card {
        width: 100%;
        height: 100%;
    }
}